Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.
OS: Ubuntu 12.10 (GNU/Linux 3.8.4-x86_64-linode31 x86_64)
$ emacs --version
=> 23.4.1
$ which emacs
/usr/bin/emacs

How to upgrade the emacs of system to 24.3?

share|improve this question

migrated from stackoverflow.com Apr 29 '13 at 6:55

This question came from our site for professional and enthusiast programmers.

2 Answers 2

No need for new repositories -- just install the emacs24 package(s) you want.

From a 12.10 system of mine:

edd@max:~$ COLUMNS=80 dpkg -l | grep "^ii  emacs"                           
ii  emacs-goodies- 35.2ubuntu2  all          Miscellaneous add-ons for Emacs
ii  emacs23-bin-co 23.4+1-4ubun amd64        The GNU Emacs editor's shared, ar
ii  emacs23-common 23.4+1-4ubun all          The GNU Emacs editor's shared, ar
ii  emacs23-common 23.4+1-1     all          GNU Emacs shared, architecture in
ii  emacs23-lucid  23.4+1-4ubun amd64        The GNU Emacs editor
ii  emacs24        24.1+1-2ubun amd64        GNU Emacs editor (with GTK+ user 
ii  emacs24-bin-co 24.1+1-2ubun amd64        GNU Emacs editor's shared, archit
ii  emacs24-common 24.1+1-2ubun all          GNU Emacs editor's shared, archit
ii  emacs24-common 24.1+1-1     all          GNU Emacs common non-DFSG items, 
ii  emacsen-common 2.0.3        all          Common facilities for all emacsen
edd@max:~$

So just sudo apt-get install emacs24 plus whichever additonal packages you like. This allows emacs23 and emacs24 to coexist, with emacs23 providing the default. (Which you can override, see man dpkg-alternatives).

share|improve this answer
    
so the step is: 1. COLUMNS=80 dpkg -l | grep "^ii emacs" 2. apt-get install emacs24 ? –  juanitofatas Apr 29 '13 at 2:07
    
No, just sudo apt-get install emacs24. What I did was just for display. You can of course also use aptitude, or the Ubuntu Software Center, or whatever other interface to the package system you use. –  Dirk Eddelbuettel Apr 29 '13 at 2:10
    
Ah...Thank you for sharing this! It seems dpkg did not provide the latest emacs. –  juanitofatas Apr 29 '13 at 2:13
    
For this task, you may have confused dpkg with something like apt-cache search emacs. Try that. –  Dirk Eddelbuettel Apr 29 '13 at 2:14
1  
@DirkEddelbuettel How is this an answer? The OP clearly asked for Emacs 24.3, which is obviously not present in the standard repositories. –  lunaryorn Apr 30 '13 at 7:44

add Damien Cassou’s emacs snapshot PPA

sudo add-apt-repository ppa:cassou/emacs

update packages

sudo apt-get update

install emacs 24.3

sudo apt-get install emacs-snapshot-el emacs-snapshot-gtk emacs-snapshot

remove old emacs

sudo apt-get autoremove
share|improve this answer
    
Well, first off the OP asked for emacs 24, not snapshot. Second, emacs 24 is already in his Ubuntu release. –  Dirk Eddelbuettel Apr 29 '13 at 2:15
    
OK... How will you suggest I edit my answer? –  juanitofatas Apr 29 '13 at 2:21
    
Well ... see my answer, and comments. I think at this point you should just delete this own-answer attempt. –  Dirk Eddelbuettel Apr 29 '13 at 2:25
    
OK. I think we leave both answers. I am new to Linux. So dpkg, apt-cache is new to me. I need more time to study then use it. For now I will stick to simple (simple for me) solution to upgrade the emacs. Thanks! –  juanitofatas Apr 29 '13 at 2:28
2  
Well, 24.3 is not present in quantal's repository, so installing emacs24 package from ppa:cassou/emacs is probably the easiest way to get it. –  immerrr Apr 29 '13 at 8:24

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.